--- old/usr/src/cmd/cmd-inet/usr.sbin/snoop/snoop_ip.c	2012-07-09 14:38:07.509776584 +0000
+++ new/usr/src/cmd/cmd-inet/usr.sbin/snoop/snoop_ip.c	2012-07-09 14:38:07.611457966 +0000
@@ -299,6 +299,10 @@
 				(void) interpret_sctp(flags,
 				    (struct sctp_hdr *)data, iplen, fraglen);
 				break;
+			case IPPROTO_DCCP:
+				(void) interpret_dccp(flags,
+				    (struct dccphdr *)data, iplen, fraglen);
+				break;
 			}
 		}
 	}
@@ -477,6 +481,10 @@
 		case IPPROTO_OSPF:
 			interpret_ospf6(flags, data, iplen, fraglen);
 			break;
+		case IPPROTO_DCCP:
+			(void) interpret_dccp(flags, (struct dccphdr *)data,
+			    iplen, fraglen);
+			break;
 		}
 	}
 
